/*
    Project: TCGINA (Keyfile Library/Editor V1.0f)
    Version: V1.15
    File   : kfedit.c

    Copyright (c) 2005-2006 Author of TCGINA DLL. All rights reserved.

    Covered by TrueCrypt License 2.1 the full text of which is contained
    in the file License.txt included in TCGINA binary and source code
    distribution archives.

    The copyright notice of this source code file and the following public key
    must be retained in full.

-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.2.4 (MingW32)

mQGiBEI3cVwRBADCRqJ1+AKeMw4BagfF9yNdobBBJXTFQ0R3RJHRAOoKMrT5rxMn
zjRvN9SugcTAftMRVTmsHVZcve6jO2yLHJLg2QgtHiRKdbLV9MTrzYtxXUL1Ez0A
3Mq6ww/h7EdwG5VlPX8uw++Y2aX2UHvMgRbImcLDz+/8qT1FR6dvujjyhwCgmUR9
/4+H8QkCw7M2ekFsODzSBzsEAIwTWuqYfwPRISyGTL/ajZC2WVxLNCC1NmvxzRMe
v/Mg344nxOrMG6MNTNYJdq/3dkiWBzXcpy5zWAVMxAiMDhKSytdk5mdvPI69wZtS
UZ92qXxvm/6fPjIoFy1hSII0LExLuS5p0MMZ7yFFEjZ4CQG/fPE04aUF0zAVgQQ8
OOjJA/0U+8ZlJnPF5cMfvODlOzjfG+LFhWS/t4NhJ12CWeOyn8+enAiXQsKyKyll
JtE9zf8aQKhfS1KJ/ZLZphmnN5LqQLOi/HVsAIK4/KPRrv7M4Z+atChLbmvvR31I
AcTOoDqxj4d8D8yiV8i+ZfLAXREPVLXc3c/W5gBrYwyp5bmpG7QUQXV0aG9yIG9m
IFRDR0lOQSBETEyIXgQTEQIAHgUCQjdxXAIbAwYLCQgHAwIDFQIDAxYCAQIeAQIX
gAAKCRD/R4xyQJdnzk9iAJ9rTCyGTUioEOJEU2w779rVzXoUkQCeO8zdw6QakpiA
uc2XmzGb6JscCEA=
=2DjS
-----END PGP PUBLIC KEY BLOCK-----
*/

#include "kfdlg.h"
#include "random.h"
#include "secmem.h"
#include "misc.h"

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
  LPSTR lpCmdLine, int nCmdShow)
{
    KF_DIALOG_DATA kfdd;
    LPWSTR         *wszArgList;
    int            nArgs;
#ifdef KFI_DEBUG
    SEC_HEAP_INFORMATION shi;
#endif

    UNREFERENCED_PARAMETER(hPrevInstance);
    UNREFERENCED_PARAMETER(lpCmdLine);
    UNREFERENCED_PARAMETER(nCmdShow);

    InitRandom();

#ifdef KFI_DEBUG
    if (!KFI_Test()) {
        return KFIE_FAIL_TESTVECTOR;
    }
#endif

    memset(&kfdd, '\0', sizeof(kfdd));
    kfdd.hInstance = hInstance;
    kfdd.pSecData = (PKF_SEC_DATA)sec_malloc(sizeof(KF_SEC_DATA));
    if (kfdd.pSecData == 0) return KFIE_MEM;
    memset(kfdd.pSecData, '\0', sizeof(KF_SEC_DATA));

    wszArgList = CommandLineToArgvW(GetCommandLineW(), &nArgs);
    if (wszArgList) {
        if (nArgs == 2) {
            CopyString(kfdd.szFileName, sizeof(kfdd.szFileName)/
              sizeof(TCHAR), wszArgList[1]);
        }
        LocalFree(wszArgList);
    }

    KF_Edit(&kfdd);
    sec_free(kfdd.pSecData);

    DestroyRandom();

#ifdef KFI_DEBUG
    sec_heap_compact();
    if (sec_heap_status(&shi)) {
        if (shi.cAllocations != 0 || shi.cbAllocationSize != 0) {
            return KFIE_MEM;
        }
    }
#endif

    return 0;
}