/*
 * Project: TCGINA (Keyfile Library/Editor V1.0f)
 * Version: V1.15
 * File   : tomcrypt_custom2.h
 *
 * This file is not part of the original LibTomCrypt library.
 */
#undef XMALLOC
#undef XREALLOC
#undef XCALLOC
#undef XFREE

#define XMALLOC  sec_malloc
#define XREALLOC sec_realloc
#define XCALLOC  sec_calloc
#define XFREE    sec_free

#ifndef KFI_DEBUG
#  define LTC_NO_TEST
#  ifdef KFI_DECRYPTION_ONLY
#    define LTC_DECRYPTION_ONLY
#  endif
#endif
#define LTC_NO_FILE

#define LTC_NO_CIPHERS
#define RIJNDAEL
#define TWOFISH
#define TWOFISH_TABLES

#define LTC_NO_MODES
#define ECB
#define CTR

#define LTC_NO_HASHES
#define SHA512
#define SHA256

#define LTC_NO_MACS
#define HMAC

#define LTC_NO_PRNGS
#define FORTUNA
/* reseed every N calls to the read function */
#define FORTUNA_WD    10
/* number of pools (4..32) can save a bit of ram by lowering the count */
#define FORTUNA_POOLS 32

#define LTC_NO_PK

#define LTC_NO_PKCS
#define PKCS_5



