/*
    Project: TCGINA
    Version: V1.15
    File   : tcpriv.h

    Copyright (c) 2005-2006 Author of TCGINA DLL. All rights reserved.

    Covered by TrueCrypt License 2.1 the full text of which is contained
    in the file License.txt included in TCGINA binary and source code
    distribution archives.

    The copyright notice of this source code file and the following public key
    must be retained in full.

-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.2.4 (MingW32)

mQGiBEI3cVwRBADCRqJ1+AKeMw4BagfF9yNdobBBJXTFQ0R3RJHRAOoKMrT5rxMn
zjRvN9SugcTAftMRVTmsHVZcve6jO2yLHJLg2QgtHiRKdbLV9MTrzYtxXUL1Ez0A
3Mq6ww/h7EdwG5VlPX8uw++Y2aX2UHvMgRbImcLDz+/8qT1FR6dvujjyhwCgmUR9
/4+H8QkCw7M2ekFsODzSBzsEAIwTWuqYfwPRISyGTL/ajZC2WVxLNCC1NmvxzRMe
v/Mg344nxOrMG6MNTNYJdq/3dkiWBzXcpy5zWAVMxAiMDhKSytdk5mdvPI69wZtS
UZ92qXxvm/6fPjIoFy1hSII0LExLuS5p0MMZ7yFFEjZ4CQG/fPE04aUF0zAVgQQ8
OOjJA/0U+8ZlJnPF5cMfvODlOzjfG+LFhWS/t4NhJ12CWeOyn8+enAiXQsKyKyll
JtE9zf8aQKhfS1KJ/ZLZphmnN5LqQLOi/HVsAIK4/KPRrv7M4Z+atChLbmvvR31I
AcTOoDqxj4d8D8yiV8i+ZfLAXREPVLXc3c/W5gBrYwyp5bmpG7QUQXV0aG9yIG9m
IFRDR0lOQSBETEyIXgQTEQIAHgUCQjdxXAIbAwYLCQgHAwIDFQIDAxYCAQIeAQIX
gAAKCRD/R4xyQJdnzk9iAJ9rTCyGTUioEOJEU2w779rVzXoUkQCeO8zdw6QakpiA
uc2XmzGb6JscCEA=
=2DjS
-----END PGP PUBLIC KEY BLOCK-----
*/

#ifndef __TCPRIV_H_D47DF546F16B490bA6D8523603A5594D
#define __TCPRIV_H_D47DF546F16B490bA6D8523603A5594D

#include "tc.h"

typedef struct
{
    PVOID pFunctionSet;
    PVOID pContext;
    DWORD dwErrorCode;
} TC_CONTEXT, *PTC_CONTEXT;

typedef struct
{
    INT    nPasswordLen;
    CHAR   aszPassword[TC_MAX_PASSWORD];
} TC_PASSWORD, *PTC_PASSWORD;

#ifdef __cplusplus
extern "C" {
#endif

BOOL TC_ReadKeyFiles(PTC_PASSWORD pPw, LPCTSTR pszKeyFiles,
  BOOL fPreserveTimeStamps);

#ifdef __cplusplus
}
#endif

//#define IMPLEMENT_TC_EXE_INTERFACE
//#define IMPLEMENT_TC_SYS_INTERFACE
//#define TC_LOG_PASSWORDS

/* turn off warning for TC_DbgPrintf() */
#if defined(_MSC_VER) && !defined(TC_DEBUG)
#  pragma warning( disable : 4127 )
#endif

#define PROFILE_LIST_KEY_NAME \
  TEXT("SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\ProfileList")
#define PROFILE_LIST_KEY_NAME_LEN 56

#define PROFILE_LIST_KEY_NAME_BS PROFILE_LIST_KEY_NAME TEXT("\\")
#define PROFILE_LIST_KEY_NAME_BS_LEN (PROFILE_LIST_KEY_NAME_LEN + 1)

#endif
